/*
 *	server port number
 */

/*  #define SERV_PORT	20235 */
  
/*-----Switchboard request codes-------------------------------------*/

#define SERV_PUTSERVER	1
#define SERV_PEER_MEET	2
#define SERV_SERV_MEET	3
#define SERV_DELETE	4
#define SERV_INIT	5
#define SERV_PASSIVE	6
#define SERV_ACTIVE	7
#define SERV_SEND_INFO	8
#define SERV_NEWSERV	9
#define SERV_CLEANUP	10

/*-----Status return values------------------------------------------*/

#define SERV_ACT	2
#define SERV_PAS	1
#define SERV_OK		0
#define SERV_BADFUNC	-1
#define SERV_NOTFOUND	-2
#define SERV_ERROR	-3

#define SERV_NUMHOSTS	10
#define SERVNAMELEN	64

#define	SERVICENAME	"swbd"
typedef char servname[SERVNAMELEN];

struct servrequest {
	long		function;
	servname	myname;
	u_short		myport;
	servname	hername;

	/*
	 *  for inter-server communication; (when called from peer, should = 0)
	 */
	long 		hostid;

	struct in_addr	myaddr;
};

struct servresponse {
    long	status;
    servname	hername;
    struct	in_addr herhost;
    u_short	herport;
};

#define NUMSERVS	15
struct inforesponse {
    long	status;
    int		numaddrs;
    u_long	servaddr[NUMSERVS];
};
